﻿$ErrorActionPreference = 'Stop';

$packageName    = 'unity-ios'
$toolsDir       = "$(Split-Path -parent $MyInvocation.MyCommand.Definition)"
$url64          = 'https://beta.unity3d.com/download/46dda1414e51/TargetSupportInstaller/UnitySetup-iOS-Support-for-Editor-2017.2.0f3.exe'
$checksum64     = '5b6a8a8f19f0481c8b36ddbb1178e0f06d3815ece9fc8e80f0a480c95b36499c'

$packageArgs = @{
  packageName    = $packageName
  fileType       = 'EXE'
  url64bit       = $url64
  checksum64     = $checksum64
  checksumType64 = 'sha256'
  silentArgs     = '/S'
  validExitCodes = @(0)
}

Install-ChocolateyPackage @packageArgs
